Bigrams for Dataframe Python

I would like to find and show bigrams (and trigrams) in a word cloud. I tokenized the data as follows, which works fine for non-ngrams:


    Identifizierung häufigste Wörter Rating Gäste Englisch
    from collections import Counter
    c = Counter()
    for txt in reviews_english['tokenized'].astype(str).values:
        for word in txt.split():
            c[word] += 1
    #100 häufigste Wörter
    c.most_common(100)
    # Durch häufigste Wörter Kategorien identifizieren: 1. Food / Dishes / eat / menu, 2. choice / variety 3. Buffet, 4. Place / atmosphere, 5. Restaurant, 6. Service,

Now I would like to find the Bigrams and tried the following 2 things:

from sklearn.feature_extraction.text import CountVectorizer
c_vec = CountVectorizer(stop_words=english_stopwords, ngram_range=(2,3))
# matrix of ngrams
ngrams = c_vec.fit_transform(reviews_english['reviews_english'])
# count frequency of ngrams
count_values = ngrams.toarray().sum(axis=0)
# list of ngrams
vocab = c_vec.vocabulary_
reviews_english_ngram = reviews_english(sorted([(count_values[i],k) for k,i in vocab.items()], reverse=True)).rename(columns={0: 'frequency', 1:'bigram/trigram'})

´´´

But get this:

eyError                                  Traceback (most recent call last)
/usr/local/lib/python3.8/dist-packages/pandas/core/indexes/base.py in get_loc(self, key, method, tolerance)
   3079             try:
-> 3080                 return self._engine.get_loc(casted_key)
   3081             except KeyError as err:
pandas/_libs/index.pyx in pandas._libs.index.IndexEngine.get_loc()
pandas/_libs/index.pyx in pandas._libs.index.IndexEngine.get_loc()
pandas/_libs/hashtable_class_helper.pxi in pandas._libs.hashtable.PyObjectHashTable.get_item()
pandas/_libs/hashtable_class_helper.pxi in pandas._libs.hashtable.PyObjectHashTable.get_item()
KeyError: 'reviews_english'

The above exception was the direct cause of the following exception:
KeyError                                  Traceback (most recent call last)
<ipython-input-18-d5aa7a24e354> in <module>
      2 c_vec = CountVectorizer(stop_words=english_stopwords, ngram_range=(2,3))
      3 # matrix of ngrams
----> 4 ngrams = c_vec.fit_transform(reviews_english['reviews_english'])
      5 # count frequency of ngrams
      6 count_values = ngrams.toarray().sum(axis=0)
/usr/local/lib/python3.8/dist-packages/pandas/core/frame.py in __getitem__(self, key)
   3022             if self.columns.nlevels > 1:
   3023                 return self._getitem_multilevel(key)
-> 3024             indexer = self.columns.get_loc(key)
   3025             if is_integer(indexer):
   3026                 indexer = [indexer]
/usr/local/lib/python3.8/dist-packages/pandas/core/indexes/base.py in get_loc(self, key, method, tolerance)
   3080                 return self._engine.get_loc(casted_key)
   3081             except KeyError as err:
-> 3082                 raise KeyError(key) from err
   3083 
   3084         if tolerance is not None:
KeyError: 'reviews_english'´´´

I also tried this:

´´´def shingle(text, w):
    tokens = text ["Review Gast"].str.split('reviews_english')
    return [' '.join(xs) for xs in seq_ngrams(tokens, w)]
from collections import Counter
def count_shingles(corpus, w):
    return Counter(ngram for text in corpus for ngram in shingle(text, w))
words = (reviews_english).reviews_english.str.split('reviews_english').explode()´´´

But get this:

´´´ttributeError                            Traceback (most recent call last)
<ipython-input-47-831f26acba34> in <module>
----> 1 words = (reviews_english).reviews_english.str.split('reviews_english').explode()

/usr/local/lib/python3.8/dist-packages/pandas/core/generic.py in __getattr__(self, name)
   5463             if self._info_axis._can_hold_identifiers_and_holds_name(name):
   5464                 return self[name]
-> 5465             return object.__getattribute__(self, name)
   5466 
   5467     def __setattr__(self, name: str, value) -> None:
AttributeError: 'DataFrame' object has no attribute 'reviews_english' ´´´

Sorry for the long question, but I am very new to Python and not able to solve the issue.

Thanks!